UI::Util::RecoderCache Class Reference

This can be used to cache recoder instances. More...

`#include <Recoder.hpp>`

Collaboration diagram for UI::Util::RecoderCache:

## Static Public Member Functions

static Recoder const & | get (std::string const &inEnc, std::string const &outEnc, bool const &sloppy=false)

## Detailed Description

This can be used to cache recoder instances.

Note
  You really should use this instead of repeatedly creating temporary Recoder instances – first, as it's expensive (at least for librecode), and second, librecode converters have a rather huge memory leak.

The documentation for this class was generated from the following files:

- Recoder.hpp
- Recoder.cpp